15 Jan 2007

Firefox extensions I can’t live without

The full list of Firefox extensions that I consider absolutely mandatory. All of these work with FF 2, and many work with older versions. All but one or two have also been updated to work with FF 3. (List last updated Aug 26, 2008.)